<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "waiting_room_twilio_callbacks".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "WaitingRoomTwilioCallbacks".
 *
 * Columns in table "waiting_room_twilio_callbacks" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $waiting_room_invite_id
 * @property string $callback_event
 * @property string $callback_timestamp
 * @property string $participant_identity
 * @property string $log
 * @property string $date_added
 *
 */
abstract class BaseWaitingRoomTwilioCallbacks extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'waiting_room_twilio_callbacks';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'WaitingRoomTwilioCallbacks|WaitingRoomTwilioCallbacks', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('waiting_room_invite_id, date_added', 'required'),
            array('waiting_room_invite_id', 'numerical', 'integerOnly' => true),
            array('callback_event, callback_timestamp, participant_identity, log', 'safe'),
            array('participant_identity, callback_timestamp, log', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, waiting_room_invite_id, callback_event, callback_timestamp, participant_identity, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array();
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'waiting_room_invite_id' => Yii::t('app', 'Waiting Room Invite'),
            'callback_event' => Yii::t('app', 'callback_event'),
            'callback_timestamp' => Yii::t('app', 'callback_timestamp'),
            'participant_identity' => Yii::t('app', 'participant_identity'),
            'log' => Yii::t('app', 'log'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('waiting_room_invite_id', $this->waiting_room_invite_id);
        $criteria->compare('callback_event', $this->callback_event, true);
        $criteria->compare('callback_timestamp', $this->callback_timestamp, true);
        $criteria->compare('participant_identity', $this->participant_identity, true);
        $criteria->compare('log', $this->log, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }
}
